# Doesn't require any BIOS/copyrighted material, so it can go in core.

%define uname   QMednafen

Name:           qmednafen
Version:        0.1.0
Release:        %mkrel 6
Summary:        Multi-platform frontend (GUI) for the Mednafen emulator (Qt 5)
Group:          Emulators
License:        GPLv3+
URL:            https://github.com/Tuxman88/QMednafen
Source0:        https://github.com/Tuxman88/QMednafen/archive/%{version}/%{uname}-%{version}.tar.gz
# https://github.com/Tuxman88/QMednafen/pull/1
Patch0:         0001-Use-hicolor-theme-for-icon-and-improve-desktop-file.patch

BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
Requires:       mednafen
Provides:       mednafen-frontend

%description
QMednafen is a Qt 5 GUI interface for Mednafen, the multi-platform
and multi-console emulator.

QMednafen brings to the user an interface that ease the process
of using Mednafen.

%prep
%setup -q -n %{uname}-%{version}
%autopatch -p1

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%{_bindir}/%{name}
%{_datadir}/applications/qmednafen.desktop
%{_iconsdir}/hicolor/512x512/apps/qmednafen.png


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 0.1.0-6.mga8
+ Revision: 1659493
- Rebuild for new Qt5

* Mon Oct 19 2020 akien <akien> 0.1.0-5.mga8
+ Revision: 1637073
- Rebuild in core, as mednafen is now in core

* Fri Feb 21 2020 umeabot <umeabot> 0.1.0-4.mga8.tainted
+ Revision: 1548887
- Mageia 8 Mass Rebuild

* Tue Apr 02 2019 daviddavid <daviddavid> 0.1.0-3.mga7.tainted
+ Revision: 1385289
- Qt5 Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 0.1.0-2.mga7.tainted
+ Revision: 1290594
- Mageia 7 Mass Rebuild

* Sun Jan 10 2016 akien <akien> 0.1.0-1.mga6.tainted
+ Revision: 921003
- imported package qmednafen

